#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: enclosed-exceptions
version: 1.0.2
id: enclosed-exceptions-1.0.2-IlmtDgtHW5omxuhaEBvP
key: enclosed-exceptions-1.0.2-IlmtDgtHW5omxuhaEBvP
license: MIT
maintainer: jmacristovao@gmail.com, michael@snoyman.com
homepage: https://github.com/jcristovao/enclosed-exceptions
synopsis: Catching all exceptions from within an enclosed computation
description:
    Catching all exceptions raised within an enclosed computation,
    while remaining responsive to (external) asynchronous exceptions.
    For more information on the technique, please see:
    <https://www.fpcomplete.com/user/snoyberg/general-haskell/exceptions/catching-all-exceptions>
category: Control
author: Michael Snoyman, João Cristóvão
exposed: True
indefinite: False
exposed-modules:
    Control.Exception.Enclosed
abi: ed923130d87ec5e62db814f3f9033008
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/enclosed-exceptions-1.0.2
library-dirs: /usr/lib/ghc-8.2.1/site-local/enclosed-exceptions-1.0.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.1/enclosed-exceptions-1.0.2
hs-libraries: HSenclosed-exceptions-1.0.2-IlmtDgtHW5omxuhaEBvP
depends:
    base-4.10.0.0 transformers-0.5.2.0
    lifted-base-0.2.3.11-KDN0Y8mQMJ08XWJafJpKLJ
    monad-control-1.0.2.2-IzU5oITMXX63Y9dO6OJIj deepseq-1.4.3.0
    transformers-base-0.4.4-4U8VJPfvIYIDHbweeHN2Ld
abi-depends: base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             transformers-0.5.2.0=2645d250dd615ce454f807270041c5ea
             lifted-base-0.2.3.11-KDN0Y8mQMJ08XWJafJpKLJ=cf58c71914eac1aaf26174fb0607ced0
             monad-control-1.0.2.2-IzU5oITMXX63Y9dO6OJIj=dfad8947f11740596f17fadd714d5078
             deepseq-1.4.3.0=5db6f9c28d6213bd6646f988460dacd0
             transformers-base-0.4.4-4U8VJPfvIYIDHbweeHN2Ld=488e16d42785d73d2eee418d7735d08a
haddock-interfaces: /usr/share/doc/haskell-enclosed-exceptions/html/enclosed-exceptions.haddock
haddock-html: /usr/share/doc/haskell-enclosed-exceptions/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

